[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'heaptrc' (#rtl)

# tracesize

Specify size of callback trace

## Declaration

Source position: heaptrc.pp line 64

`const tracesize = 16;`

## Description

Tracesize specifies how many levels of calls are displayed of the call stack during the memory dump. If you specify keepreleased:=True then half the TraceSize is reserved for the GetMem call stack, and the other half is reserved for the FreeMem call stack. For example, the default value of 8 will cause eight levels of call frames to be dumped for the getmem call if keepreleased is False. If KeepReleased is true, then 4 levels of call frames will be dumped for the GetMem call and 4 frames will be dumped for the FreeMem call. If you want to change this value, you must recode the heaptrc unit.